//流程模块【meet.会议管理】下录入页面自定义js页面,初始函数
function initbodys(){
	// 开始时间
	$(form('startdt')).blur(function(){
		changetotal();
	});
	// 结束时间
	$(form('enddt')).blur(function(){
		changetotal();
	});

	var step = getStep();
	if(form('issms'))form('issms').checked=false; //每次编辑都取消

	$("#check_btn").removeAttr('onclick');
	$("#check_btn").click(function () {
		console.log("点击了提交");
	});

	//默认隐藏频率
	if(form('rate')){
		//初始或是普通会议编辑
		if(mid==0 || form('type').value=='0'){
			c.fieldshide('rate'); //隐藏
		}
		//切换到固定会议才显示
		$(form('type')).change(function(){
			if(this.value=='1'){
				c.fieldsshow('rate');
			}else{
				c.fieldshide('rate');
			}
		});
	}
	// $(form('hyname')).change(function () {
	// 	console.log(form('hyname').value);
	// });
	// 会议室id联动
	c.onselectdata['hyname']=function (d) {
		form('meeting_id').value=d.value_id;
	}
}


function changesubmit(d){
	if(d.enddt<=d.startdt)return '截止时间必须大于开始时间';
	if(d.enddt.substr(0,10)!=d.startdt.substr(0,10)){
		return '不允许跨天申请';
	}
	if(d.type=='1' && d.rate=='')return '固定会议必须选择会议频率';
}

function changetotal(){
	var st = form('startdt').value,
		et = form('enddt').value;
	if(st.substr(0,10)!=et.substr(0,10)){
		js.setmsg('不允许跨天申请');
		return;
	}
	js.setmsg('');
}


// 判断函数

function getStep() {
	var step_text_original = $("#input_step").html();
	if(step_text_original == null || step_text_original == '') step_text_original = $("#input_step").val();

	if(step_text_original == null) return;

	var step_text = step_text_original.split('(')[0];

	var carnameStep         = $("#btn_carname").length; // 选择车辆步骤
	var loadCarSuccStep     = $("*[name='load_end_time']").length; // 装车完成1
	var endUseStep          = $("*[name='end_time']").length; // 使用结束时间
	var parkingLocationStep = $("*[name='parking_location']").length; // 停车场
	var assesLocationStep   = $("*[name=assess_location]").length; // 审核车场
	// var assesTimeStep       = $("*[name=assess_time]").length; // 审核时间

	console.log(step_text);


	if (step_text == '领导审核') {
		return 'leader_review';
	} else if (step_text == '调度室审批') {
		return 'dispatch_assess';
	} else if (step_text == '运输队审批' && carnameStep == 1) {
		return 'fleet_select_car';
	} else if (step_text == '装车完成' && loadCarSuccStep == 1) {
		return 'load_car_succ';
		// } else if (step_text == '运输队审核' && endUseStep == 1) {
	} else if (step_text == '运输下放') {
		return 'fleet_assess_load_car_succ';
	} else if (step_text == '使用完毕') {
		return 'load_end_use';
	} else if (step_text == '运输队审核' && assesLocationStep >= 1) {
		return 'fleet_assess_load_end_use';
	}

}